MONGOC_BULK_OPERATION_INSERT_WITH_OPTS(3)

NAME
mongoc_bulk_operation_insert_with_opts - mongoc_bulk_operation_insert_with_opts()

SYNOPSIS

        bool
        mongoc_bulk_operation_insert_with_opts (mongoc_bulk_operation_t *bulk,
                                                const bson_t *document,
                                                const bson_t *opts,
                                                bson_error_t *error); /* OUT */

Queue an insert of a single document into a bulk operation. The insert is not performed until mongoc_bulk_operation_execute() is called.

PARAMETERS

    •   bulk: A mongoc_bulk_operation_t.

    •   document: A bson_t.

    •   opts: A bson_t containing additional options.

    •   error: An optional location for a bson_error_t or NULL.

Currently the opts is unused.

ERRORS

Operation errors are propagated via mongoc_bulk_operation_execute(), while argument validation errors are reported by the error argument.

RETURNS

Returns true on success, and false if there is a server or network error or if passed invalid arguments.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc